bio_copy_user
Prev | Other Functions | Next

## Name

bio_copy_user — copy user data to bio

## Synopsis

`struct bio * bio_copy_user (` | struct request_queue * | q,
| unsigned long | uaddr,
| unsigned int | len,
| int | write_to_vm`)`;

## Arguments

`q`

  destination block queue

`uaddr`

  start of user address

`len`

  length in bytes

`write_to_vm`

  bool indicating writing to pages or not

## Description

Prepares and returns a bio for indirect user io, bouncing data to/from kernel pages as necessary. Must be paired with call `bio_uncopy_user` on io completion.

Prev | Up | Next
bio_uncopy_user | Home | bio_map_kern